<?php
/*
Скрипт загруз центра для JohnCMS
Автор: Максим (simba)
ICQ: 61590077
Сайт: http://symbos.su
R866920725287
Z117468354234
*/

define('_IN_JOHNCMS', 1);
$headmod = 'loadview';
require_once '../incfiles/core.php';
require_once 'functions.php';
$viewf = intval($_GET['view']);
$file = mysql_query("SELECT * FROM `downfiles` WHERE `id` = '" . $viewf . "'");
if (mysql_num_rows($file)) {
    $file = mysql_fetch_array($file);
    $dopway = str_replace(basename($file['way']), '', $file['way']);
    $file22 = mysql_query("SELECT * FROM `downfiles` WHERE `pathid` = '" . $viewf .
        "' AND `type` = 1");
    $namee = explode('||||', $file['name']);
$textl = '' . str_replace('_', ' ', $namee[0]) . ' - Ajoyib.Ru';
    require_once '../incfiles/head.php';
    if (!$file['size']) {
        $siz = filesize($loadroot.'/'.$file[way]);
        mysql_query("UPDATE `downfiles` set `size` = '" . $siz . "' WHERE `id` = '" . $viewf .
            "'");
    } else {
        $siz = $file['size'];
    }
    $filtime = date("d.m.Y", $file['time']);

    $nadir = $file[pathid];
    $pat = "";
    while ($nadir != "") {

        $dnew = mysql_query("select * from `downpath` where id = '" . $nadir . "';");
        $dnew1 = mysql_fetch_array($dnew);
        $pat = '<a href="dir_' . $dnew1['id'] . '.html" title="' . $dnew1['name'] . '">' .
            $dnew1['name'] . '</a> &gt;  ' . $pat;

        $nadir = $dnew1[refid];
    }

    $tf = pathinfo($file['way'], PATHINFO_EXTENSION);
echo '<div class="phdr">
<strong>' . str_replace('_', ' ', $namee[0]) . '</strong> [' . size_convert($siz) .
        ']</div>';
    $gol = explode('|', $file['gol']);



    
echo '<div class="menu"><b>Fayl formati:</b> ' . $tf . '</div>';

    //////////////////////////
    ////// Скриншоты /////////
    //////////////////////////
    $scr = mysql_result(mysql_query("SELECT COUNT(*) FROM `downscreen` WHERE `fileid` = '" .
        $viewf . "'"), 0);
    if ($scr) {
        echo '<div class="menu">';
        $screen = mysql_query("SELECT * FROM `downscreen` WHERE `fileid` = '" . $viewf .
            "'");
        $i = 1;
        while ($screen1 = mysql_fetch_array($screen)) {
            if ($i == 1) {
                if ($down_setting['screenshot'])
                    echo '<img src="graftemp/' . $screen1[way] . '" alt="Скриншот..."/><br/>';
                echo 'Скриншот: ';
            }

            if (!is_file('graftemp/' . $screen1[way])) {
                $img = new ImageEdit($screenroot . '/' . $screen1['way'], $down_setting['scr_size']);
                $img->setQuality(90);
                if($down_setting['scr_copy'])
                $img->setCopy($down_setting['scr_copy_size'], $down_setting['scr_copy_text']);
                $img->saveImage('graftemp/' . $screen1[way]);
            }
            echo '<a href="getthumb.php?file=screens/' . $screen1[way] .
                '&amp;size=0&amp;q=100&amp;copy=' . $down_setting['scr_copy_text'] . '">' . $i .
                '</a> ';
            $i++;
        }
        echo '<br/>';
        echo '</div>';
    }

    /////////////////////////
    ///// Скрин к темам /////
    /////////////////////////
    echo '<div class="menu">';
    if ($down_setting['screenview']) {
        if ($tf == 'thm') {
            if (!is_file($loadroot . '/' . $file['way'] . '.GIF'))
                autoscreen_thm($loadroot . '/' . $file['way'], 128, 160, $loadroot . '/' . $file['way'] .
                    '.GIF');
            echo '<img src="' . $loadroot . '/' . $file['way'] .
                '.GIF" alt="Скриншот..."/><br/>';
        } elseif ($tf == 'nth') {
            if (!is_file($loadroot . '/' . $file['way'] . '.GIF'))
                autoscreen_nth($loadroot . '/' . $file['way'], 128, 160, $loadroot . '/' . $file['way'] .
                    '.GIF');
            echo '<img src="' . $loadroot . '/' . $file['way'] .
                '.GIF" alt="Скриншот.."/><br/>';
        }
    }
    /////////////////////////
    ///// Скрин к видео /////
    /////////////////////////
    //TODO:Переделать обработку видео...
    if ($tf == '3gp' or $tf == 'avi' or $tf == 'mp4') {
        if ($down_setting['screenvideo']) {
            if (!is_file($loadroot . '/' . $file['way'] . '.GIF'))
                autoscreen_video($loadroot . '/' . $file['way'], $loadroot . '/' . $file['way'] .
                    '.GIF', 132, 96);
            echo '<img src="' . $loadroot . '/' . $file['way'] .
                '.GIF" alt="Скриншот..."/><br/>';
        }
        if ($down_setting['infvideo']) {
            $media = new ffmpeg_movie($loadroot . '/' . $file['way']);
            echo 'Время ролика: ' . date('m:s', $media->getDuration()) . '<br/>';
            echo 'Разрешение: ' . $media->getFrameHeight() . 'x' . $media->getFrameWidth() .
                '<br/>';
            echo 'Битрейт: ' . $media->getVideoBitRate() . 'kpbs <br/>';
        }
    }

    ////////////////////////////////////
    //////// Скрин к картинке //////////
    ////////////////////////////////////
    if ($tf == 'gif' or $tf == 'png' or $tf == 'jpg' or $tf == 'jpeg') {
        if (!$down_setting['screencache']) {
            echo '<img src="getthumb.php?file=' . $loadroot . '/' . $file['way'] .
                '&amp;size=120" alt="Скриншот..."/><br/>';
        } else {
            if (!is_file('graftemp/' . $file['id'] . '.big.' . $tf)) {
                $img = new ImageEdit($loadroot . '/' . $file['way'], $down_setting['scr_size']);
                // Подаём оригинал и максимальный размер
                $img->setQuality(90);
                // Качество
                if($down_setting['scr_copy'])
                $img->setCopy($down_setting['scr_copy_size'], $down_setting['scr_copy_text']);
                $img->saveImage('graftemp/' . $file['id'] . '.big.' . $tf);
                // Сохраняем во временную папку
            }
            echo '<img src="graftemp/' . $file['id'] . '.big.' . $tf .
                '" alt="Скриншот..."/><br/>';
        }
    }


echo '<b>Qo\'shilgan sana: </b> ' . $filtime . '</div>';
    if ($file['login']) {
//echo '<div class="menu"><b>Qo\'shgan:</b> <a href="../users/profile.php?user='.$file['user_id'].'">' . $file['name'] . '</a></div>';
    }
echo '<div class="menu"><b>Yuklandi:</b> ' . ending($file['count']) . '</div>';

    ///////////////////////////////
    //////// Если это JAR /////////
    ///////////////////////////////
    if ($tf == 'jar') {    
        $archive2 = new JarInfo($loadroot . '/' . $file['way']);
        
        //$archive2->setDeleteConfirm('Скачать программу повторно можно с сайта symbos.su');
        //$archive2->saveManifest();
        
        if ($down_setting['jar_version'] > 0 && $archive2->getVersion())
            echo '<div class="menu"><b>Версия:</b> ' . $archive2->getVersion() . '</div>';
        if ($down_setting['jar_name'] > 0 && $archive2->getName())
            echo '<div class="menu"><b>Название:</b> ' . $archive2->getName() . '</div>';
        if ($down_setting['jar_vendor'] > 0 && $archive2->getVendor())
            echo '<div class="menu"><b>Производитель:</b> ' . $archive2->getVendor() .
                '</div>';
        if ($down_setting['jar_profile'] > 0 && $archive2->getProfile())
            echo '<div class="menu"><b>Профиль:</b> ' . $archive2->getProfile() . '</div>';
        if ($down_setting['jar_url'] > 0 && $archive2->getUrl())
            echo '<div class="menu"><b>Url:</b> ' . $archive2->getUrl() . '</div>';
        // Получаем иконку если её ещё нет.
        $icon = 'graftemp/' . $file['id'] . '.icon.png';
        if (!is_file('graftemp/' . $file['id'] . '.icon.png')) {
            if (!$archive2->getIcon('graftemp/' . $file['id'] . '.icon.png'))
                $icon = 'img/jar.png';
        }
    }
    ///////////////////////
    ////// Описание ///////
    ///////////////////////
    echo '<div class="menu">';
    if ($file['desc']) {
        echo functions::checkout($file['desc'], 1, 1);
    } else {
echo 'Malumotnoma yo\'q!';
    }
    echo '</div>';

    /////////////////////////
    ////// Инфа о mp3 ///////
    /////////////////////////
    if ($down_setting['mp3info']) {
        if ($tf == 'mp3') {
            echo '<div class="menu">';
            
            require_once 'classes/classAudioFile.php';
            $f = new AudioFile;
            // добавляем аудиофайл
            $f->loadFile($loadroot.'/'.$file[way]);
            // выводим информацию
            echo functions::checkout(str_replace('&', '&amp;', $f->printSampleInfo()), 1, 1);
            

            echo '<b>Cлушать :</b> <br/>';
            echo '<object type="application/x-shockwave-flash" data="mp3player.swf" width="200" height="20" id="mp3player" name="mp3player">';
            echo '<param name="movie" value="mp3player.swf" />';
            echo '<param name="flashvars" value="mp3='.$loadroot.'/'.$file['way'].'" />';
            echo '</object>';
            echo '</div>';
        }
    }


    ///////////////////////////////////
    ////// Обсуждение на форуме ///////
    ///////////////////////////////////
    if ($file['themeid'])
    {
        echo '<div class="menu"><img src="img/peopl.png" alt="."/> <a href="../forum/index.php?id=' .
            $file['themeid'] . '">Обсудить на форуме</a></div>';
    }

//    echo '<div class="menu"><small>Скачивая файлы вы автоматически принимаете условия <a href="sogl.php?id=' .
//        $viewf . '">Соглашения</a></small></div>';

    if ($dostguest == 'open') {

        if (!$namee[1]) {
            $namee[1] = 'основной файл';
        }
        if (!isset($icon))
            $icon = 'img/save.png';

echo '<div class="menu"><img src="/img/down.png"/> <a href="loadfile.php?down=' . $file['way'] . '"> <b>Yuklab olish | Скачат</b>

</a>';
        //////////////////////////
        ////// Получаем JAD //////
        //////////////////////////
        if ($tf == 'jar' && $down_setting['jadgen']) {
            $jadf = str_ireplace('.jar', '.jad', $file['way']);
            $jarurl = '' . $home . '/' . $downpat . '/' . $file['way']; //// Адрес файла записываемый в JAD
            if (!is_file($loadroot . '/' . $jadf))
                $archive2->getJad($jarurl);
            echo '&nbsp;<a href="loadfile.php?down=' . $file['way'] .
                '&amp;jad=1">[JAD]</a>';
        }
echo ' </div>';

        ///////////////////////////////////////
        ///// Выбор размеров для картинок /////
        ///////////////////////////////////////
/*
        if ($tf == 'gif' || $tf == 'jpg' || $tf == 'png') {
            echo "<div class='menu'><form action='image.php' method='get'>
<img src=\"img/view.png\" alt='.'/> <b>Скачать с нужным размером:</b><br/><select title='Выберите размер' name='size'>";
echo '<option value="640x480">640x480</option><option value="240x320">240x320</option><option value="208x208">208x208</option><option value="176x220">176x220</option><option value="176x208">176x208</option><option value="132x176">132x176</option><option value="128x160">128x160</option></select>
<input type="hidden" name="file" value="' . $loadroot.'/'.$file['way'] . '"/>
<input type="submit" value="Скачать"/></form></div>';
        }
*/

        ///////////////////////////////
        ////// Просмотр архивов ///////
        ///////////////////////////////
        if ($down_setting['zipview']) {
            if ($tf == "zip") {
                echo '<div class="menu"><img src="img/rar.png" alt="."/> <a href="zipview.php?file=' .
                    $file['way'] . '&amp;file_id=' . $viewf . '">Просмотреть архив</a></div>';
            }
        }

//        echo '<div class="menu">Скопировать URL:<br/>
//<input type="text" name="url" value="' . $home . str_replace("..", "", $filesroot) .
//            '/loadfile.php?down=' . $file['way'] . '"/></div>';

        ////////////////////////////////
        ///// Дополнительные файлы /////
        ////////////////////////////////
        if (mysql_num_rows($file22)) {
            while ($file2 = mysql_fetch_array($file22)) {
                $tf = pathinfo($file2['way'], PATHINFO_EXTENSION);
                echo '<div class="menu"><img src="img/save.png" alt="."/> <a href="loadfile.php?down=' .
                    $file2['way'] . '">Скачать ' . $file2['name'] . '</a>';
                if ($tf == "jar" && $down_setting['jadgen']) {
                    $archive2 = new JarInfo($loadroot . '/' . $file2['way']);
                    $jadf = str_ireplace('.jar', '.jad', $file2['way']);
                    $jarurl = '' . $home . '/' . $downpat . '/' . $file2['way']; //// Адрес файла записываемый в JAD
                    if (!is_file($loadroot . '/' . $jadf))
                        $archive2->getJad($jarurl);
                    echo '&nbsp;<a href="loadfile.php?down=' . $file2['way'] .
                        '&amp;jad=1">[JAD]</a>';
                }
                echo '&nbsp;[' . $file2['count'] . ']<br/>
' . functions::checkout($file2['desc'], 1, 1) . '</div>';

                if ($tf == "zip" && $down_setting['zipview'])
                    echo '<img src="img/rar.png" alt="."/> <a href="zipview.php?file=' . $file2[way] .
                        '&amp;file_id=' . $viewf . '">Просмотреть архив</a><br/>';
            }
        }
    } else {
        echo '<b>Скачивать файлы могут только зарегистрированные пользователи! Если вы зарегистрированы, пройдите авторизацию!</b><br/>';
    }

    //////////////////////////////////
    /////// Поделиться ссылкой ///////
    //////////////////////////////////
echo '<div class="menu"><center><script type="text/javascript" src="//yandex.st/share/share.js" charset="utf-8"></script><div class="yashare-auto-init" data-yashareL10n="ru"  data-yashareType="none" data-yashareQuickServices="vkontakte,facebook,twitter,odnoklassniki,moimir,gplus"  ></div></center></div>' ;
/*
    echo '<div class="menu">Поделиться с друзьями в:<br/>
    <noindex>
    <a href="http://www.facebook.com/share.php?u=' . $home . '/download/file_' .
        $viewf . '.html&amp;t=Скачать ' . $namee[0] .
        ' бесплатно!"><img src="img/facebook.gif" alt="FaceBook" title="Поместить в FaceBook"/></a>&nbsp;<a href="http://twitter.com/home/?status=' .
        $home . '/download/file_' . $viewf . '.html+Скачать ' . $namee[0] .
        ' бесплатно!"><img src="img/twitter.gif" alt="twitter" title="Поместить в twitter"/></a>&nbsp;<a href="http://vkontakte.ru/share.php?url=' .
        $home . '/download/file_' . $viewf .
        '.html"><img src="img/vk.gif" alt="Вконтакте" title="Поместить Вконтакте"/></a>&nbsp;<a href="http://connect.mail.ru/share?share_url=' .
        $home . '/download/file_' . $viewf .
        '.html"><img src="img/mailru.gif" alt="Mail.ru" title="Поместить в mail.ru"/></a>&nbsp;<a href="http://www.livejournal.com/update.bml?event=' .
        $home . '/download/file_' . $viewf . '.html&amp;subject=Скачать ' . $namee[0] .
        ' бесплатно!"><img src="img/lj.gif" alt="Livejournal" title="Поместить в Livejournal"/></a>
        </noindex>
        </div>';
*/



    if ($user_id)
echo '<div class="menu"><img src="img/edit.png" alt="."/> <a href="komm.php?id=' .
$viewf . '">Reklama</a></div>';

} else {
    echo '<div class="rmenu">Файл не найден!</div>';
include 'fikr.php';
}

if ($rights >= 9) {
echo '<div class="menu"><img src="img/edit.png" alt="." /><a href="tageditor.php?file=files' . DIRECTORY_SEPARATOR . $file['way'] . '">Teglarini taxrirlash</a></div>';
}
require_once '../incfiles/end.php';
?>